/** @license Digigov v0.0.1
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import _extends from "@babel/runtime/helpers/extends";
import pkg from 'solidity-parser-antlr/package.json';
import defaultParserInterface from 'astql/utils/defaultParserInterface';
var ID = 'solidity-parser-antlr';
export default _extends({}, defaultParserInterface, {
  id: ID,
  displayName: ID,
  version: pkg.version,
  homepage: pkg.homepage || 'https://github.com/federicobond/solidity-parser-antlr',
  loadParser: function loadParser(callback) {
    require('astql/utils/multiple-require')(['solidity-parser-antlr'], callback);
  },
  parse: function parse(parser, code, options) {
    return parser.parse(code, options);
  },
  opensByDefault: function opensByDefault(node, key) {
    return node.type === 'SourceUnit' || node.type === 'ContractDefinition' || key === 'children' || key === 'subNodes' || key === 'body';
  },
  getDefaultOptions: function getDefaultOptions() {
    return {
      range: true,
      loc: false,
      tolerant: false
    };
  },
  _getSettingsConfiguration: function _getSettingsConfiguration() {
    return {
      fields: ['range', 'loc', 'tolerant']
    };
  }
});